DNS ZonesList Zones

List Zones

curl -X GET "https://api.5centscdn.com/v2/dns" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "domains": [
    {
      "id": 317,
      "serviceid": 103,
      "domain": "example.com",
      "meta": {
        "name": "example.com",
        "id": "12345",
        "type": "master",
        "group": "None",
        "hasBulk": false,
        "is_cloud": 0,
        "zone": "domain",
        "status": "1",
        "serial": "2026010100",
        "isUpdated": 1
      },
      "soa": {
        "serialNumber": "2026010100",
        "primaryNS": "ns1.example-dns.com",
        "adminMail": "admin@example.com",
        "refresh": "7200",
        "retry": "1800",
        "expire": "1209600",
        "defaultTTL": "3600"
      },
      "dnssec": {
        "status": "1",
        "ds": [
          "example_string"
        ],
        "ds_records": [
          {
            "digest": "a1b2c3d4e5f6789012345678abcdef12",
            "key_tag": "12345",
            "algorithm": "13",
            "algorithm_name": "ECDSA SHA-256",
            "digest_type": "2",
            "digest_type_name": "SHA-256"
          }
        ],
        "dnskey": [
          "example_string"
        ],
        "optout": "1",
        "statusDescription": "The DNSSEC is not active."
      },
      "preferredtype": "All",
      "created_at": "2023-07-04 14:08:59",
      "updated_at": "2026-04-20 05:57:57",
      "synced_at": "2026-04-20 05:57:57",
      "validated_at": "2026-04-17 22:57:53",
      "deleted": null,
      "proxied": [
        "null"
      ],
      "linkedZones": {},
      "nameservers": [
        "ns1.example-dns.com",
        "ns2.example-dns.com",
        "ns3.example-dns.com",
        "ns4.example-dns.com"
      ],
      "stats": {
        "queries": 125000,
        "records": 16
      }
    }
  ],
  "nameservers": [
    "ns1.example-dns.com",
    "ns2.example-dns.com",
    "ns3.example-dns.com",
    "ns4.example-dns.com"
  ]
}
GET
/dns
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Responses

resultstring

API response status.

domainsarray

Array of DNS zone objects configured for this service.

nameserversstring[]

Array of authoritative nameserver hostnames for the zone.